classification
Title: Define is_package for NamespaceLoader
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: barry, brett.cannon, eric.smith, python-dev, theller
Priority: normal Keywords:

Created on 2013-05-25 15:48 by brett.cannon, last changed 2013-06-18 19:49 by brett.cannon. This issue is now closed.

Messages (5)
msg189972 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-05-25 15:48
Is there a reason that is_package() is not defined for NamespaceLoader? If it's just an oversight then adding it would let -m would work with namespace packages. The other abstract methods on InspectLoader can also be implemented or raise ImportError as appropriate.

Just assign to me if you are okay with seeing this happen.
msg190108 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2013-05-26 19:49
I think it's just an oversight.
msg191280 - (view) Author: Roundup Robot (python-dev) Date: 2013-06-16 18:57
New changeset ebec625b13f9 by Brett Cannon in branch 'default':
Issues #18058, 18057: Make importlib._bootstrap.NamespaceLoader
http://hg.python.org/cpython/rev/ebec625b13f9
msg191428 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2013-06-18 19:44
Brett, can these changes be merged into 3.3 also?
msg191429 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-06-18 19:49
No because it would mean new functionality in a bugfix release.
History
Date User Action Args
2013-07-10 12:52:41brett.cannonlinkissue18422 dependencies
2013-06-18 19:49:54brett.cannonsetmessages: + msg191429
2013-06-18 19:44:29thellersetnosy: + theller
messages: + msg191428
2013-06-16 18:57:57brett.cannonsetstatus: open -> closed
resolution: fixed
stage: test needed -> resolved
2013-06-16 18:57:06python-devsetnosy: + python-dev
messages: + msg191280
2013-05-26 19:49:07eric.smithsetassignee: barry -> brett.cannon
messages: + msg190108
2013-05-25 15:48:43brett.cannoncreate